
void _efl_canvas_layout_part_invalid_efl_canvas_layout_part_state_get(const Eo *obj, void *pd, const char **state, double *val);

static void __eolian_efl_canvas_layout_part_invalid_efl_canvas_layout_part_state_get(const Eo *obj, void *pd, const char **state, double *val)
{
   if (state) *state = "";
   if (val) *val = 0.000000;
   _efl_canvas_layout_part_invalid_efl_canvas_layout_part_state_get(obj, pd, state, val);
}


Efl_Canvas_Layout_Part_Type _efl_canvas_layout_part_invalid_efl_canvas_layout_part_type_provider_part_type_get(const Eo *obj, void *pd);


Eina_Rect _efl_canvas_layout_part_invalid_efl_gfx_entity_geometry_get(const Eo *obj, void *pd);


Eina_Bool _efl_canvas_layout_part_invalid_efl_ui_drag_drag_value_set(Eo *obj, void *pd, double dx, double dy);


Eina_Bool _efl_canvas_layout_part_invalid_efl_ui_drag_drag_value_get(const Eo *obj, void *pd, double *dx, double *dy);


Eina_Bool _efl_canvas_layout_part_invalid_efl_ui_drag_drag_size_set(Eo *obj, void *pd, double dw, double dh);


Eina_Bool _efl_canvas_layout_part_invalid_efl_ui_drag_drag_size_get(const Eo *obj, void *pd, double *dw, double *dh);


Efl_Ui_Drag_Dir _efl_canvas_layout_part_invalid_efl_ui_drag_drag_dir_get(const Eo *obj, void *pd);


Eina_Bool _efl_canvas_layout_part_invalid_efl_ui_drag_drag_step_set(Eo *obj, void *pd, double dx, double dy);


Eina_Bool _efl_canvas_layout_part_invalid_efl_ui_drag_drag_step_get(const Eo *obj, void *pd, double *dx, double *dy);


Eina_Bool _efl_canvas_layout_part_invalid_efl_ui_drag_drag_step_move(Eo *obj, void *pd, double dx, double dy);


Eina_Bool _efl_canvas_layout_part_invalid_efl_ui_drag_drag_page_set(Eo *obj, void *pd, double dx, double dy);


Eina_Bool _efl_canvas_layout_part_invalid_efl_ui_drag_drag_page_get(const Eo *obj, void *pd, double *dx, double *dy);


Eina_Bool _efl_canvas_layout_part_invalid_efl_ui_drag_drag_page_move(Eo *obj, void *pd, double dx, double dy);


Eina_Bool _efl_canvas_layout_part_invalid_efl_content_content_set(Eo *obj, void *pd, Efl_Gfx_Entity *content);


Efl_Gfx_Entity *_efl_canvas_layout_part_invalid_efl_content_content_get(const Eo *obj, void *pd);


Efl_Gfx_Entity *_efl_canvas_layout_part_invalid_efl_content_content_unset(Eo *obj, void *pd);


void _efl_canvas_layout_part_invalid_efl_text_text_set(Eo *obj, void *pd, const char *text);


const char *_efl_canvas_layout_part_invalid_efl_text_text_get(const Eo *obj, void *pd);


void _efl_canvas_layout_part_invalid_efl_text_markup_markup_set(Eo *obj, void *pd, const char *markup);


const char *_efl_canvas_layout_part_invalid_efl_text_markup_markup_get(const Eo *obj, void *pd);


Eina_Iterator *_efl_canvas_layout_part_invalid_efl_container_content_iterate(Eo *obj, void *pd);


int _efl_canvas_layout_part_invalid_efl_container_content_count(Eo *obj, void *pd);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_pack_clear(Eo *obj, void *pd);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_unpack_all(Eo *obj, void *pd);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_unpack(Eo *obj, void *pd, Efl_Gfx_Entity *subobj);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_pack(Eo *obj, void *pd, Efl_Gfx_Entity *subobj);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_linear_pack_begin(Eo *obj, void *pd, Efl_Gfx_Entity *subobj);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_linear_pack_end(Eo *obj, void *pd, Efl_Gfx_Entity *subobj);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_linear_pack_before(Eo *obj, void *pd, Efl_Gfx_Entity *subobj, const Efl_Gfx_Entity *existing);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_linear_pack_after(Eo *obj, void *pd, Efl_Gfx_Entity *subobj, const Efl_Gfx_Entity *existing);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_linear_pack_at(Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int index);


Efl_Gfx_Entity *_efl_canvas_layout_part_invalid_efl_pack_linear_pack_content_get(Eo *obj, void *pd, int index);


Efl_Gfx_Entity *_efl_canvas_layout_part_invalid_efl_pack_linear_pack_unpack_at(Eo *obj, void *pd, int index);


int _efl_canvas_layout_part_invalid_efl_pack_linear_pack_index_get(Eo *obj, void *pd, const Efl_Gfx_Entity *subobj);


Efl_Ui_Layout_Orientation _efl_canvas_layout_part_invalid_efl_ui_layout_orientable_orientation_get(const Eo *obj, void *pd);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_table_pack_table(Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int col, int row, int colspan, int rowspan);


Efl_Gfx_Entity *_efl_canvas_layout_part_invalid_efl_pack_table_table_content_get(Eo *obj, void *pd, int col, int row);


Eina_Iterator *_efl_canvas_layout_part_invalid_efl_pack_table_table_contents_get(Eo *obj, void *pd, int col, int row, Eina_Bool below);


void _efl_canvas_layout_part_invalid_efl_pack_table_table_cell_column_set(Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int col, int colspan);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_table_table_cell_column_get(const Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int *col, int *colspan);


void _efl_canvas_layout_part_invalid_efl_pack_table_table_cell_row_set(Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int row, int rowspan);


Eina_Bool _efl_canvas_layout_part_invalid_efl_pack_table_table_cell_row_get(const Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int *row, int *rowspan);


void _efl_canvas_layout_part_invalid_efl_pack_table_table_size_get(const Eo *obj, void *pd, int *cols, int *rows);


int _efl_canvas_layout_part_invalid_efl_pack_table_table_columns_get(const Eo *obj, void *pd);


int _efl_canvas_layout_part_invalid_efl_pack_table_table_rows_get(const Eo *obj, void *pd);


static Eina_Bool
_efl_canvas_layout_part_invalid_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_LAYOUT_PART_INVALID_EXTRA_OPS
#define EFL_CANVAS_LAYOUT_PART_INVALID_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_part_state_get, __eolian_efl_canvas_layout_part_invalid_efl_canvas_layout_part_state_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_part_type_get, _efl_canvas_layout_part_invalid_efl_canvas_layout_part_type_provider_part_type_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_geometry_get, _efl_canvas_layout_part_invalid_efl_gfx_entity_geometry_get),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_value_set, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_value_set),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_value_get, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_value_get),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_size_set, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_size_set),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_size_get, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_size_get),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_dir_get, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_dir_get),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_step_set, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_step_set),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_step_get, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_step_get),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_step_move, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_step_move),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_page_set, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_page_set),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_page_get, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_page_get),
      EFL_OBJECT_OP_FUNC(efl_ui_drag_page_move, _efl_canvas_layout_part_invalid_efl_ui_drag_drag_page_move),
      EFL_OBJECT_OP_FUNC(efl_content_set, _efl_canvas_layout_part_invalid_efl_content_content_set),
      EFL_OBJECT_OP_FUNC(efl_content_get, _efl_canvas_layout_part_invalid_efl_content_content_get),
      EFL_OBJECT_OP_FUNC(efl_content_unset, _efl_canvas_layout_part_invalid_efl_content_content_unset),
      EFL_OBJECT_OP_FUNC(efl_text_set, _efl_canvas_layout_part_invalid_efl_text_text_set),
      EFL_OBJECT_OP_FUNC(efl_text_get, _efl_canvas_layout_part_invalid_efl_text_text_get),
      EFL_OBJECT_OP_FUNC(efl_text_markup_set, _efl_canvas_layout_part_invalid_efl_text_markup_markup_set),
      EFL_OBJECT_OP_FUNC(efl_text_markup_get, _efl_canvas_layout_part_invalid_efl_text_markup_markup_get),
      EFL_OBJECT_OP_FUNC(efl_content_iterate, _efl_canvas_layout_part_invalid_efl_container_content_iterate),
      EFL_OBJECT_OP_FUNC(efl_content_count, _efl_canvas_layout_part_invalid_efl_container_content_count),
      EFL_OBJECT_OP_FUNC(efl_pack_clear, _efl_canvas_layout_part_invalid_efl_pack_pack_clear),
      EFL_OBJECT_OP_FUNC(efl_pack_unpack_all, _efl_canvas_layout_part_invalid_efl_pack_unpack_all),
      EFL_OBJECT_OP_FUNC(efl_pack_unpack, _efl_canvas_layout_part_invalid_efl_pack_unpack),
      EFL_OBJECT_OP_FUNC(efl_pack, _efl_canvas_layout_part_invalid_efl_pack_pack),
      EFL_OBJECT_OP_FUNC(efl_pack_begin, _efl_canvas_layout_part_invalid_efl_pack_linear_pack_begin),
      EFL_OBJECT_OP_FUNC(efl_pack_end, _efl_canvas_layout_part_invalid_efl_pack_linear_pack_end),
      EFL_OBJECT_OP_FUNC(efl_pack_before, _efl_canvas_layout_part_invalid_efl_pack_linear_pack_before),
      EFL_OBJECT_OP_FUNC(efl_pack_after, _efl_canvas_layout_part_invalid_efl_pack_linear_pack_after),
      EFL_OBJECT_OP_FUNC(efl_pack_at, _efl_canvas_layout_part_invalid_efl_pack_linear_pack_at),
      EFL_OBJECT_OP_FUNC(efl_pack_content_get, _efl_canvas_layout_part_invalid_efl_pack_linear_pack_content_get),
      EFL_OBJECT_OP_FUNC(efl_pack_unpack_at, _efl_canvas_layout_part_invalid_efl_pack_linear_pack_unpack_at),
      EFL_OBJECT_OP_FUNC(efl_pack_index_get, _efl_canvas_layout_part_invalid_efl_pack_linear_pack_index_get),
      EFL_OBJECT_OP_FUNC(efl_ui_layout_orientation_get, _efl_canvas_layout_part_invalid_efl_ui_layout_orientable_orientation_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table, _efl_canvas_layout_part_invalid_efl_pack_table_pack_table),
      EFL_OBJECT_OP_FUNC(efl_pack_table_content_get, _efl_canvas_layout_part_invalid_efl_pack_table_table_content_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_contents_get, _efl_canvas_layout_part_invalid_efl_pack_table_table_contents_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_column_set, _efl_canvas_layout_part_invalid_efl_pack_table_table_cell_column_set),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_column_get, _efl_canvas_layout_part_invalid_efl_pack_table_table_cell_column_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_row_set, _efl_canvas_layout_part_invalid_efl_pack_table_table_cell_row_set),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_row_get, _efl_canvas_layout_part_invalid_efl_pack_table_table_cell_row_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_size_get, _efl_canvas_layout_part_invalid_efl_pack_table_table_size_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_columns_get, _efl_canvas_layout_part_invalid_efl_pack_table_table_columns_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_rows_get, _efl_canvas_layout_part_invalid_efl_pack_table_table_rows_get),
      EFL_CANVAS_LAYOUT_PART_INVALID_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_layout_part_invalid_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Layout_Part_Invalid",
   EFL_CLASS_TYPE_REGULAR,
   0,
   _efl_canvas_layout_part_invalid_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_layout_part_invalid_class_get, &_efl_canvas_layout_part_invalid_class_desc, EFL_CANVAS_LAYOUT_PART_CLASS, EFL_CONTENT_INTERFACE, EFL_PACK_LINEAR_INTERFACE, EFL_UI_LAYOUT_ORIENTABLE_READONLY_MIXIN, EFL_PACK_TABLE_INTERFACE, EFL_TEXT_INTERFACE, EFL_TEXT_MARKUP_INTERFACE, NULL);
